| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >:
[legend]

## Classes
struct | first
struct | second

## Public Types
typedef std::pair< std::string, std::string > | ResultT

## Public Member Functions
| KeyValueGrammar ()

## Public Attributes
StringGrammar< Iterator, Skipper > | gstring
qi::rule< Iterator, ResultT(), Skipper > | pair

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >

Definition at line 574 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef std::pair<std::string, std::string> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::ResultT

Definition at line 576 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::KeyValueGrammar | ( |  | ) |
| inline

Definition at line 583 of file GrammarsV2.h.

583 : KeyValueGrammar::base_type( pair )
584 {
585 //------------------------------------------------------------------------------
586 pair = gstring >> ":" >> +enc::char_;
587 }
Gaudi::Parsers::KeyValueGrammar::pair
qi::rule< Iterator, ResultT(), Skipper > pair
Definition: GrammarsV2.h:590
Gaudi::Parsers::KeyValueGrammar::gstring
StringGrammar< Iterator, Skipper > gstring
Definition: GrammarsV2.h:589

## Member Data Documentation

template<typename Iterator, typename Skipper>

StringGrammar<Iterator, Skipper> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::gstring

Definition at line 589 of file GrammarsV2.h.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::pair

Definition at line 590 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h